package org.mesopotamia.lang.java;

import org.mesopotamia.MesopotamiaException;
import org.mesopotamia.NodeData;
import org.mesopotamia.RepositoryLanguage;
import org.mesopotamia.Scan;
import org.w3c.dom.Element;

public class FinallyClause extends JavaLanguageElement {

	public FinallyClause(NodeData xData, Class<?> context, Scan scan,
			RepositoryLanguage language, Object environment) throws MesopotamiaException {
		super(xData, context, scan, language, environment);

		// Select attributes
		CompoundStatement = selectSingleElement(CompoundStatement.class, "SLIST");

	}

	public void toDom(Element holder) {
		super.toDom(holder);

		// Serialize attributes
		setElement(holder, "CompoundStatement", CompoundStatement);
	}

	// Attributes
	private CompoundStatement CompoundStatement;

	// Accessors
	public CompoundStatement getCompoundStatement() {
		return CompoundStatement;
	}

}
