package org.mesopotamia.lang.java;

import org.mesopotamia.MesopotamiaException;
import org.mesopotamia.NodeData;
import org.mesopotamia.RepositoryLanguage;
import org.mesopotamia.Scan;
import org.mesopotamia.lang.java.ref.TypeInfo;
import org.mesopotamia.lang.java.ref.TypeSpecInfo;

public class LogicalOrExpression extends ConditionalExpression {

	public LogicalOrExpression(NodeData xData, Class<?> context, Scan scan,
			RepositoryLanguage language, Object environment) throws MesopotamiaException {
		super(xData, context, scan, language, environment);

		// Select attributes

	}

	@Override
	public TypeSpecInfo getTypeSpecInfo() {
		return new TypeSpecInfo() {

			public int getDimensions() {
				return 0;
			}

			public TypeInfo getTypeInfo() {
				return Boolean.BOOLEAN_INFO;
			}
			
		};
	}
}
