package org.mesopotamia.lang.java;

import org.mesopotamia.LanguageElement;
import org.mesopotamia.MesopotamiaException;
import org.mesopotamia.MesopotamiaRuntimeException;
import org.mesopotamia.NodeData;
import org.mesopotamia.RepositoryLanguage;
import org.mesopotamia.Scan;
import org.mesopotamia.lang.java.ref.TypeSpecInfo;

public class ShiftExpression extends RelationalExpression {

	public ShiftExpression(NodeData xData, Class<?> context, Scan scan,
			RepositoryLanguage language, Object environment) throws MesopotamiaException {
		super(xData, context, scan, language, environment);

		// Select attributes

	}

	public TypeSpecInfo getTypeSpecInfo() {
		try {
			LanguageElement firstOperand = getChild(0);
			return firstOperand instanceof Expression ? ((Expression) firstOperand).getTypeSpecInfo() : null;
		} catch (MesopotamiaException e) {
			throw new MesopotamiaRuntimeException(e);
		}
	}
}
