package org.mesopotamia.lang.java.ref;

import java.util.List;


public interface MethodInfo extends Info {
	
	/**
	 * Constructor is a special form of method.
	 * This constant defines "special" constructor name.
	 */
	public static final String CONSTRUCTOR_NAME = "<init>";

	TypeSpecInfo getReturnType();
	
	List<TypeSpecInfo> getParameterTypes();
	
	List<TypeInfo> getExceptionTypes();
	
	// TODO - Varargs, annotations, type parameters.
	
}
