package org.mesopotamia.lang.java.ref;

/**
 * Operations, types, method and constructor definitions, and 
 * other language element classes implement this interface for
 * variable, method and type resolution in the same compilation unit.
 * @author Pavel
 *
 */
public interface Scope {
	
	TypeInfo findType(String name);
	
	VariableInfo findVariable(String name);
	
	MethodInfo findMethod(String name, String[] parameterTypes);

}
