create temp table _java5_id (NAME VARCHAR(20), ID INTEGER);

INSERT INTO LOADER (
     LANGUAGE,
     LANGUAGE_VERSION,
     LEVEL,
     LOADER_CLASS,
     DESCRIPTION,
     REQUIRES_SOURCE,
     REQUIRES_ENVIRONMENT
) VALUES (
	'Java',
	'5',
	'token',
	'org.mesopotamia.lang.java.v5.TokenLoader',
	'Loads token stream into database',
	1,
	0
);

insert into _java5_id values ('token', identity());

INSERT INTO LOADER (
     LANGUAGE,
     LANGUAGE_VERSION,
     LEVEL,
     LOADER_CLASS,
     DESCRIPTION,
     REQUIRES_SOURCE,
     REQUIRES_ENVIRONMENT
) VALUES (
	'Java',
	'5',
	'ast',
	'org.mesopotamia.lang.java.v5.AstLoader',
	'Builds a syntax tree from tokens and stores the tree to the database',
	0,
	0
);

INSERT INTO LOADER_DEPENDENCY (
	DEPENDENT_LEVEL_ID, 
	DEPENDS_ON_LEVEL_ID, 
	DESCRIPTION
) VALUES ( 
	IDENTITY(),
	(SELECT ID FROM _java5_ID WHERE NAME='token'),
	'Syntax tree is built from tokens'
)