package org.mesopotamia.lang.java;

import org.mesopotamia.MesopotamiaException;
import org.mesopotamia.NodeData;
import org.mesopotamia.RepositoryLanguage;
import org.mesopotamia.Scan;

public class ImportDefinition extends Identifier {

	public ImportDefinition(
			NodeData xData, 
			Class<?> context, 
			Scan scan,
			RepositoryLanguage language, 
			Object environment) throws MesopotamiaException {
		super(xData, context, scan, language, environment);

		text = getChild(0).getText();
		isStatic="STATIC_IMPORT".equals(language.tokenTypeId2name(xData.getType()));
	}

	private String text;
	private boolean isStatic;

	public String getText() {
		return text;
	}
	
	public boolean isStatic() {
		return isStatic;
	}
}
