// $ANTLR 2.7.5 (20050128): "javadoc.g" -> "JavaDocParser.java"$

	package org.mesopotamia.lang.java.javadoc;

import antlr.TokenBuffer;
import antlr.TokenStreamException;
import antlr.TokenStreamIOException;
import antlr.ANTLRException;
import antlr.LLkParser;
import antlr.Token;
import antlr.TokenStream;
import antlr.RecognitionException;
import antlr.NoViableAltException;
import antlr.MismatchedTokenException;
import antlr.SemanticException;
import antlr.ParserSharedInputState;
import antlr.collections.impl.BitSet;
import antlr.collections.AST;
import java.util.Hashtable;
import antlr.ASTFactory;
import antlr.ASTPair;
import antlr.collections.impl.ASTArray;

public class JavaDocParser extends antlr.LLkParser       implements JavaDocTokenTypes
 {

protected JavaDocParser(TokenBuffer tokenBuf, int k) {
  super(tokenBuf,k);
  tokenNames = _tokenNames;
  buildTokenTypeASTClassMap();
  astFactory = new ASTFactory(getTokenTypeToASTClassMap());
}

public JavaDocParser(TokenBuffer tokenBuf) {
  this(tokenBuf,1);
}

protected JavaDocParser(TokenStream lexer, int k) {
  super(lexer,k);
  tokenNames = _tokenNames;
  buildTokenTypeASTClassMap();
  astFactory = new ASTFactory(getTokenTypeToASTClassMap());
}

public JavaDocParser(TokenStream lexer) {
  this(lexer,1);
}

public JavaDocParser(ParserSharedInputState state) {
  super(state,1);
  tokenNames = _tokenNames;
  buildTokenTypeASTClassMap();
  astFactory = new ASTFactory(getTokenTypeToASTClassMap());
}

	public final void specificationBlock() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST specificationBlock_AST = null;
		
		try {      // for error handling
			match(JAVADOC_BEGIN);
			{
			switch ( LA(1)) {
			case WORD:
			case NEWLINE:
			case ASSIGN:
			case QUOTE:
			{
				descriptionBlock();
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			case EOF:
			case AT:
			{
				break;
			}
			default:
			{
				throw new NoViableAltException(LT(1), getFilename());
			}
			}
			}
			{
			_loop4:
			do {
				if ((LA(1)==AT)) {
					tagBlock();
					astFactory.addASTChild(currentAST, returnAST);
				}
				else {
					break _loop4;
				}
				
			} while (true);
			}
			specificationBlock_AST = (AST)currentAST.root;
		}
		catch (RecognitionException ex) {
			reportError(ex);
			recover(ex,_tokenSet_0);
		}
		returnAST = specificationBlock_AST;
	}
	
	public final void descriptionBlock() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST descriptionBlock_AST = null;
		
		try {      // for error handling
			{
			int _cnt7=0;
			_loop7:
			do {
				if ((_tokenSet_1.member(LA(1)))) {
					sentence();
					astFactory.addASTChild(currentAST, returnAST);
				}
				else {
					if ( _cnt7>=1 ) { break _loop7; } else {throw new NoViableAltException(LT(1), getFilename());}
				}
				
				_cnt7++;
			} while (true);
			}
			descriptionBlock_AST = (AST)currentAST.root;
			descriptionBlock_AST = (AST)astFactory.make( (new ASTArray(2)).add(astFactory.create(DESCRBLOCK,"DESCRBLOCK")).add(descriptionBlock_AST));
			currentAST.root = descriptionBlock_AST;
			currentAST.child = descriptionBlock_AST!=null &&descriptionBlock_AST.getFirstChild()!=null ?
				descriptionBlock_AST.getFirstChild() : descriptionBlock_AST;
			currentAST.advanceChildToEnd();
			descriptionBlock_AST = (AST)currentAST.root;
		}
		catch (RecognitionException ex) {
			reportError(ex);
			recover(ex,_tokenSet_2);
		}
		returnAST = descriptionBlock_AST;
	}
	
	public final void tagBlock() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST tagBlock_AST = null;
		
		try {      // for error handling
			tag();
			astFactory.addASTChild(currentAST, returnAST);
			{
			informalSpecification();
			astFactory.addASTChild(currentAST, returnAST);
			}
			{
			switch ( LA(1)) {
			case VERTICAL_LINE:
			{
				formalSpecification();
				astFactory.addASTChild(currentAST, returnAST);
				{
				_loop12:
				do {
					if ((LA(1)==NEWLINE)) {
						emptySentence();
						astFactory.addASTChild(currentAST, returnAST);
					}
					else {
						break _loop12;
					}
					
				} while (true);
				}
				break;
			}
			case EOF:
			case JAVADOC_CLOSE:
			case AT:
			{
				break;
			}
			default:
			{
				throw new NoViableAltException(LT(1), getFilename());
			}
			}
			}
			{
			switch ( LA(1)) {
			case JAVADOC_CLOSE:
			{
				match(JAVADOC_CLOSE);
				break;
			}
			case EOF:
			case AT:
			{
				break;
			}
			default:
			{
				throw new NoViableAltException(LT(1), getFilename());
			}
			}
			}
			tagBlock_AST = (AST)currentAST.root;
			tagBlock_AST = (AST)astFactory.make( (new ASTArray(2)).add(astFactory.create(TAGBLOCK,"TAGBLOCK")).add(tagBlock_AST));
			currentAST.root = tagBlock_AST;
			currentAST.child = tagBlock_AST!=null &&tagBlock_AST.getFirstChild()!=null ?
				tagBlock_AST.getFirstChild() : tagBlock_AST;
			currentAST.advanceChildToEnd();
			tagBlock_AST = (AST)currentAST.root;
		}
		catch (RecognitionException ex) {
			reportError(ex);
			recover(ex,_tokenSet_2);
		}
		returnAST = tagBlock_AST;
	}
	
	public final void sentence() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST sentence_AST = null;
		
		try {      // for error handling
			switch ( LA(1)) {
			case NEWLINE:
			{
				emptySentence();
				astFactory.addASTChild(currentAST, returnAST);
				sentence_AST = (AST)currentAST.root;
				break;
			}
			case WORD:
			case ASSIGN:
			case QUOTE:
			{
				nonEmptySentence();
				astFactory.addASTChild(currentAST, returnAST);
				sentence_AST = (AST)currentAST.root;
				break;
			}
			default:
			{
				throw new NoViableAltException(LT(1), getFilename());
			}
			}
		}
		catch (RecognitionException ex) {
			reportError(ex);
			recover(ex,_tokenSet_3);
		}
		returnAST = sentence_AST;
	}
	
	public final void tag() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST tag_AST = null;
		
		try {      // for error handling
			match(AT);
			AST tmp4_AST = null;
			tmp4_AST = astFactory.create(LT(1));
			astFactory.addASTChild(currentAST, tmp4_AST);
			match(WORD);
			tag_AST = (AST)currentAST.root;
			tag_AST = (AST)astFactory.make( (new ASTArray(2)).add(astFactory.create(TAG,"TAG")).add(tag_AST));
			currentAST.root = tag_AST;
			currentAST.child = tag_AST!=null &&tag_AST.getFirstChild()!=null ?
				tag_AST.getFirstChild() : tag_AST;
			currentAST.advanceChildToEnd();
			tag_AST = (AST)currentAST.root;
		}
		catch (RecognitionException ex) {
			reportError(ex);
			recover(ex,_tokenSet_1);
		}
		returnAST = tag_AST;
	}
	
	public final void informalSpecification() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST informalSpecification_AST = null;
		
		try {      // for error handling
			{
			int _cnt17=0;
			_loop17:
			do {
				if ((_tokenSet_1.member(LA(1)))) {
					sentence();
					astFactory.addASTChild(currentAST, returnAST);
				}
				else {
					if ( _cnt17>=1 ) { break _loop17; } else {throw new NoViableAltException(LT(1), getFilename());}
				}
				
				_cnt17++;
			} while (true);
			}
			informalSpecification_AST = (AST)currentAST.root;
			informalSpecification_AST = (AST)astFactory.make( (new ASTArray(2)).add(astFactory.create(INFORMAL,"INFORMAL")).add(informalSpecification_AST));
			currentAST.root = informalSpecification_AST;
			currentAST.child = informalSpecification_AST!=null &&informalSpecification_AST.getFirstChild()!=null ?
				informalSpecification_AST.getFirstChild() : informalSpecification_AST;
			currentAST.advanceChildToEnd();
			informalSpecification_AST = (AST)currentAST.root;
		}
		catch (RecognitionException ex) {
			reportError(ex);
			recover(ex,_tokenSet_4);
		}
		returnAST = informalSpecification_AST;
	}
	
	public final void formalSpecification() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST formalSpecification_AST = null;
		
		try {      // for error handling
			{
			int _cnt20=0;
			_loop20:
			do {
				if ((LA(1)==VERTICAL_LINE)) {
					sentenceFormal();
					astFactory.addASTChild(currentAST, returnAST);
				}
				else {
					if ( _cnt20>=1 ) { break _loop20; } else {throw new NoViableAltException(LT(1), getFilename());}
				}
				
				_cnt20++;
			} while (true);
			}
			formalSpecification_AST = (AST)currentAST.root;
			formalSpecification_AST = (AST)astFactory.make( (new ASTArray(2)).add(astFactory.create(FORMAL,"FORMAL")).add(formalSpecification_AST));
			currentAST.root = formalSpecification_AST;
			currentAST.child = formalSpecification_AST!=null &&formalSpecification_AST.getFirstChild()!=null ?
				formalSpecification_AST.getFirstChild() : formalSpecification_AST;
			currentAST.advanceChildToEnd();
			formalSpecification_AST = (AST)currentAST.root;
		}
		catch (RecognitionException ex) {
			reportError(ex);
			recover(ex,_tokenSet_5);
		}
		returnAST = formalSpecification_AST;
	}
	
	public final void emptySentence() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST emptySentence_AST = null;
		
		try {      // for error handling
			endline();
			astFactory.addASTChild(currentAST, returnAST);
			emptySentence_AST = (AST)currentAST.root;
		}
		catch (RecognitionException ex) {
			reportError(ex);
			recover(ex,_tokenSet_3);
		}
		returnAST = emptySentence_AST;
	}
	
	public final void sentenceFormal() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST sentenceFormal_AST = null;
		
		try {      // for error handling
			match(VERTICAL_LINE);
			{
			_loop29:
			do {
				switch ( LA(1)) {
				case WORD:
				case ASSIGN:
				case QUOTE:
				{
					word();
					astFactory.addASTChild(currentAST, returnAST);
					break;
				}
				case STAR:
				{
					AST tmp6_AST = null;
					tmp6_AST = astFactory.create(LT(1));
					astFactory.addASTChild(currentAST, tmp6_AST);
					match(STAR);
					break;
				}
				case AT:
				{
					AST tmp7_AST = null;
					tmp7_AST = astFactory.create(LT(1));
					astFactory.addASTChild(currentAST, tmp7_AST);
					match(AT);
					break;
				}
				case VERTICAL_LINE:
				{
					AST tmp8_AST = null;
					tmp8_AST = astFactory.create(LT(1));
					astFactory.addASTChild(currentAST, tmp8_AST);
					match(VERTICAL_LINE);
					break;
				}
				default:
				{
					break _loop29;
				}
				}
			} while (true);
			}
			{
			switch ( LA(1)) {
			case NEWLINE:
			{
				endline();
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			case JAVADOC_CLOSE:
			{
				match(JAVADOC_CLOSE);
				break;
			}
			default:
			{
				throw new NoViableAltException(LT(1), getFilename());
			}
			}
			}
			sentenceFormal_AST = (AST)currentAST.root;
			sentenceFormal_AST = (AST)astFactory.make( (new ASTArray(2)).add(astFactory.create(SENTENCEFORMAL,"SENTENCEFORMAL")).add(sentenceFormal_AST));
			currentAST.root = sentenceFormal_AST;
			currentAST.child = sentenceFormal_AST!=null &&sentenceFormal_AST.getFirstChild()!=null ?
				sentenceFormal_AST.getFirstChild() : sentenceFormal_AST;
			currentAST.advanceChildToEnd();
			sentenceFormal_AST = (AST)currentAST.root;
		}
		catch (RecognitionException ex) {
			reportError(ex);
			recover(ex,_tokenSet_6);
		}
		returnAST = sentenceFormal_AST;
	}
	
	public final void nonEmptySentence() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST nonEmptySentence_AST = null;
		
		try {      // for error handling
			word();
			astFactory.addASTChild(currentAST, returnAST);
			{
			_loop24:
			do {
				switch ( LA(1)) {
				case WORD:
				case ASSIGN:
				case QUOTE:
				{
					word();
					astFactory.addASTChild(currentAST, returnAST);
					break;
				}
				case STAR:
				{
					AST tmp10_AST = null;
					tmp10_AST = astFactory.create(LT(1));
					astFactory.addASTChild(currentAST, tmp10_AST);
					match(STAR);
					break;
				}
				case AT:
				{
					AST tmp11_AST = null;
					tmp11_AST = astFactory.create(LT(1));
					astFactory.addASTChild(currentAST, tmp11_AST);
					match(AT);
					break;
				}
				case VERTICAL_LINE:
				{
					AST tmp12_AST = null;
					tmp12_AST = astFactory.create(LT(1));
					astFactory.addASTChild(currentAST, tmp12_AST);
					match(VERTICAL_LINE);
					break;
				}
				default:
				{
					break _loop24;
				}
				}
			} while (true);
			}
			{
			switch ( LA(1)) {
			case NEWLINE:
			{
				endline();
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			case JAVADOC_CLOSE:
			{
				match(JAVADOC_CLOSE);
				break;
			}
			default:
			{
				throw new NoViableAltException(LT(1), getFilename());
			}
			}
			}
			nonEmptySentence_AST = (AST)currentAST.root;
		}
		catch (RecognitionException ex) {
			reportError(ex);
			recover(ex,_tokenSet_3);
		}
		returnAST = nonEmptySentence_AST;
	}
	
	public final void word() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST word_AST = null;
		
		try {      // for error handling
			switch ( LA(1)) {
			case WORD:
			{
				AST tmp14_AST = null;
				tmp14_AST = astFactory.create(LT(1));
				astFactory.addASTChild(currentAST, tmp14_AST);
				match(WORD);
				word_AST = (AST)currentAST.root;
				break;
			}
			case ASSIGN:
			{
				AST tmp15_AST = null;
				tmp15_AST = astFactory.create(LT(1));
				astFactory.addASTChild(currentAST, tmp15_AST);
				match(ASSIGN);
				word_AST = (AST)currentAST.root;
				break;
			}
			case QUOTE:
			{
				AST tmp16_AST = null;
				tmp16_AST = astFactory.create(LT(1));
				astFactory.addASTChild(currentAST, tmp16_AST);
				match(QUOTE);
				word_AST = (AST)currentAST.root;
				break;
			}
			default:
			{
				throw new NoViableAltException(LT(1), getFilename());
			}
			}
		}
		catch (RecognitionException ex) {
			reportError(ex);
			recover(ex,_tokenSet_7);
		}
		returnAST = word_AST;
	}
	
	public final void endline() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST endline_AST = null;
		
		try {      // for error handling
			{
			AST tmp17_AST = null;
			tmp17_AST = astFactory.create(LT(1));
			match(NEWLINE);
			{
			_loop34:
			do {
				if ((LA(1)==STAR)) {
					AST tmp18_AST = null;
					tmp18_AST = astFactory.create(LT(1));
					match(STAR);
				}
				else {
					break _loop34;
				}
				
			} while (true);
			}
			}
		}
		catch (RecognitionException ex) {
			reportError(ex);
			recover(ex,_tokenSet_3);
		}
		returnAST = endline_AST;
	}
	
	
	public static final String[] _tokenNames = {
		"<0>",
		"EOF",
		"<2>",
		"NULL_TREE_LOOKAHEAD",
		"JAVADOC_OPEN",
		"JAVADOC_CLOSE",
		"STAR",
		"TAG",
		"WORD",
		"DESCRBLOCK",
		"VERTICAL_LINE",
		"FORMAL",
		"INFORMAL",
		"NEWLINE",
		"AT",
		"TAGBLOCK",
		"SENTENCEFORMAL",
		"SUBTAG",
		"JAVADOC_BEGIN",
		"ASSIGN",
		"QUOTE",
		"VOCAB",
		"WS"
	};
	
	protected void buildTokenTypeASTClassMap() {
		tokenTypeToASTClassMap=null;
	};
	
	private static final long[] mk_tokenSet_0() {
		long[] data = { 2L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_0 = new BitSet(mk_tokenSet_0());
	private static final long[] mk_tokenSet_1() {
		long[] data = { 1581312L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_1 = new BitSet(mk_tokenSet_1());
	private static final long[] mk_tokenSet_2() {
		long[] data = { 16386L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_2 = new BitSet(mk_tokenSet_2());
	private static final long[] mk_tokenSet_3() {
		long[] data = { 1598754L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_3 = new BitSet(mk_tokenSet_3());
	private static final long[] mk_tokenSet_4() {
		long[] data = { 17442L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_4 = new BitSet(mk_tokenSet_4());
	private static final long[] mk_tokenSet_5() {
		long[] data = { 24610L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_5 = new BitSet(mk_tokenSet_5());
	private static final long[] mk_tokenSet_6() {
		long[] data = { 25634L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_6 = new BitSet(mk_tokenSet_6());
	private static final long[] mk_tokenSet_7() {
		long[] data = { 1598816L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_7 = new BitSet(mk_tokenSet_7());
	
	}
