package org.mesopotamia.lang.java.ref;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 * Simple implementation of type info which knows only its FCN.
 * @author Pavel
 *
 */
public class TypeInfoImpl implements TypeInfo {
	
	private String fcn;

	public TypeInfoImpl(String fcn) {
		this.fcn = fcn;
	}

	public TypeInfo findNestedType(String name) {
		return null;
	}

	public MethodInfo findTypeMethod(String name, String[] parameterTypes) {
		return null;
	}

	public VariableInfo findTypeVariable(String name) {
		return null;
	}

	public boolean isKindOf(String superFcn) {
		return fcn.equals(superFcn);
	}

	public TypeInfo getDeclaringType() {
		return null;
	}

	public String getFcn() {
		return fcn;
	}
	
	private static final List<String> emptyList = Collections.unmodifiableList(new ArrayList<String>());

	public List<String> getModifiers() {
		return emptyList;
	}

	public String getName() {
		int idx = fcn.lastIndexOf('.');
		return idx==-1 ? fcn : fcn.substring(idx+1);
	}

	public MethodInfo findConstructor(String[] parameterTypes) {
		return null;
	}

}
